name: cloudflared
services:
  cloudflared:
    image: wisdomsky/cloudflared-web:2023.10.0
    restart: unless-stopped
    network_mode: host
    x-casaos:
      volumes:
        - container: /config
          description:
            en_us: Contains config file where cloudflare token is stored.
            zh_cn: 包含配置文件，其中存储了 Cloudflare 令牌。
            ar_sa: يحتوي على ملف تكوين حيث يتم تخزين رمز Cloudflare.
            de_de: Enthält eine Konfigurationsdatei, in der das Cloudflare-Token gespeichert ist.
            es_es: Contiene un archivo de configuración donde se almacena el token de Cloudflare.
            fr_fr: Contient un fichier de configuration où est stocké le jeton Cloudflare.
            hu_hu: Tartalmazza a konfigurációs fájlt, ahol a Cloudflare token van tárolva.
            it_it: Contiene un file di configurazione in cui è memorizzato il token di Cloudflare.
            ru_ru: Содержит файл конфигурации, в котором хранится токен Cloudflare.
            pl_pl: Zawiera plik konfiguracyjny, w którym przechowywany jest token Cloudflare.
            pt_br: Contém um arquivo de configuração onde o token do Cloudflare é armazenado.
      ports:
        - container: '14333'
          description:
            en_us: Token Setup WebUI
            zh_cn: 令牌设置 WebUI
            ar_sa: واجهة مستخدم إعداد الرمز
            de_de: Token-Setup WebUI
            es_es: Configuración de Token WebUI
            fr_fr: Interface utilisateur de configuration du jeton
            hu_hu: Token beállítás WebUI
            it_it: Interfaccia utente di configurazione del token
            ru_ru: Веб-интерфейс настройки токена
            pl_pl: Interfejs użytkownika konfiguracji tokena
            pt_br: Configuração do Token WebUI
    ports:
      - target: 14333
        published: "14333"
        protocol: tcp
    volumes:
      - type: bind
        source: /DATA/AppData/casaos-cloudflared/config
        target: /config
    container_name: cloudflared
x-casaos:
  architectures:
    - amd64
    - arm
    - arm64
  main: cloudflared
  description:
    en_us: Cloudflare Tunnel offers an easy way to expose web servers securely to the internet, without opening up firewall ports and configuring ACLs. Cloudflare Tunnel also ensures requests route through Cloudflare before reaching the web server, so you can be sure attack traffic is stopped with Cloudflare’s WAF and Unmetered DDoS mitigation, and authenticated with Access if you’ve enabled those features for your account.
    zh_cn: Cloudflare Tunnel 提供了一种安全的方式，可以将 Web 服务器安全地公开到互联网上，而无需打开防火墙端口和配置访问控制列表（ACL）。Cloudflare Tunnel 还确保请求在到达 Web 服务器之前通过 Cloudflare 路由，因此您可以确保攻击流量会被 Cloudflare 的 WAF 和无限制的 DDoS 缓解功能阻止，并在启用了这些功能的情况下通过 Access 进行身份验证。
    ar_sa: يوفر نفق Cloudflare طريقة سهلة لتعريض خوادم الويب بأمان على الإنترنت، دون فتح منافذ جدار الحماية وتكوين ACL. يضمن نفق Cloudflare أيضًا مرور الطلبات عبر Cloudflare قبل الوصول إلى خادم الويب، بحيث يمكنك التأكد من إيقاف حركة المرور الضارة باستخدام WAF ومكافحة DDoS غير المحدودة في Cloudflare، والمصادقة باستخدام Access إذا كنت قد قمت بتمكين تلك الميزات لحسابك.
    de_de: Cloudflare Tunnel bietet eine einfache Möglichkeit, Webserver sicher ins Internet zu exposen, ohne Firewall-Ports öffnen zu müssen und ACLs zu konfigurieren. Cloudflare Tunnel stellt auch sicher, dass Anfragen über Cloudflare geleitet werden, bevor sie den Webserver erreichen, damit Sie sicher sein können, dass Angriffsverkehr mit Cloudflares WAF und unbegrenztem DDoS-Mitigation gestoppt und bei aktivierten Funktionen für Ihren Account über Access authentifiziert wird.
    es_es: Cloudflare Tunnel ofrece una forma sencilla de exponer servidores web de manera segura a Internet, sin necesidad de abrir puertos de firewall ni configurar ACL. Cloudflare Tunnel también asegura que las solicitudes pasen por Cloudflare antes de llegar al servidor web, de modo que puedas estar seguro de que el tráfico de ataques se detiene con el WAF y la mitigación de DDoS sin límites de Cloudflare, y se autentica con Access si has habilitado esas características para tu cuenta.
    fr_fr: Cloudflare Tunnel offre une solution simple pour exposer de manière sécurisée des serveurs web à Internet, sans avoir à ouvrir les ports du pare-feu ni configurer les ACL. Cloudflare Tunnel garantit également que les requêtes passent par Cloudflare avant d'atteindre le serveur web, de sorte que vous pouvez vous assurer que le trafic d'attaque est arrêté grâce à la WAF de Cloudflare et à la protection DDoS sans limitation, et qu'il est authentifié avec Access si vous avez activé ces fonctionnalités pour votre compte.
    it_it: Cloudflare Tunnel offre un modo semplice per esporre in modo sicuro i server web su Internet, senza aprire porte del firewall né configurare ACL. Cloudflare Tunnel garantisce inoltre che le richieste vengano instradate attraverso Cloudflare prima di raggiungere il server web, in modo che tu possa essere sicuro che il traffico di attacco venga fermato con la WAF di Cloudflare e la mitigazione DDoS senza limiti, e autenticato con Access se hai abilitato queste funzionalità per il tuo account.
    ru_ru: Cloudflare Tunnel предлагает простой способ безопасно экспонировать веб-серверы в Интернете без открытия портов брандмауэра и настройки ACL. Кроме того, Cloudflare Tunnel гарантирует, что запросы проходят через Cloudflare перед достижением веб-сервера, поэтому вы можете быть уверены, что трафик атаки останавливается с помощью WAF и неограниченной митигации DDoS от Cloudflare и авторизован с помощью Access, если вы включили эти функции для вашей учетной записи.
    hu_hu: A "Cloudflare Tunnel" egyszerű és biztonságos módot kínál arra, hogy a webkiszolgálókat az interneten keresztül hozzáférhetővé tegye, tűzfalportokat nyitás nélkül és ACL-ek konfigurálása nélkül. A "Cloudflare Tunnel" továbbá biztosítja, hogy a kérések először a Cloudflare-n keresztül haladjanak, mielőtt elérnék a webkiszolgálót, így biztos lehet abban, hogy a támadó forgalom a Cloudflare WAF és az Unlimited DDoS elleni védelem segítségével áll meg, és hitelesítve van az Access segítségével, ha ezeket a funkciókat engedélyezte a fiókjában.
    sv_se: Cloudflare Tunnel erbjuder ett enkelt sätt att säkert exponera webbserverar mot internet, utan att behöva öppna brandväggsportar och konfigurera ACL. Cloudflare Tunnel säkerställer även att begäranden passerar genom Cloudflare innan de når webbservern, så att du kan vara säker på att attackerande trafik stoppas med hjälp av Cloudflares WAF och obegränsad DDoS-skydd, samt autentiseras med Access om du har aktiverat dessa funktioner för ditt konto.
    uk_ua: Cloudflare Tunnel надає простий спосіб безпечного підключення веб-серверів до Інтернету, не відкриваючи порти брандмауера та не налаштовуючи ACL. Крім того, Cloudflare Tunnel забезпечує маршрутизацію запитів через Cloudflare перед тим, як вони досягнуть веб-сервера, тому ви можете бути впевнені, що атаки блокуються за допомогою WAF та безлімітної мітігації DDoS від Cloudflare та аутентифікуються з використанням Access, якщо ви активували ці функції для свого облікового запису.
    pt_br: O "Cloudflare Tunnel" oferece uma maneira fácil de expor servidores web com segurança na internet, sem abrir portas do firewall e configurar ACLs. O "Cloudflare Tunnel" também garante que as solicitações passem pelo Cloudflare antes de chegar ao servidor web, para que você possa ter certeza de que o tráfego de ataques seja interrompido com o WAF e a mitigação DDoS ilimitada do Cloudflare, e autenticado com o Access, se você tiver habilitado esses recursos para sua conta.
  tagline:
    en_us: A tunneling daemon by Cloudflare that safely exposes your web servers into the internet.
    zh_cn: 一个由 Cloudflare 提供的隧道守护程序，可以安全地将您的 Web 服务器公开到互联网上。
    ar_sa: برنامج تشغيل النفقات من Cloudflare الذي يكشف بأمان عن خوادم الويب الخاصة بك على الإنترنت.
    de_de: Ein Tunnel-Daemon von Cloudflare, der Ihre Webserver sicher ins Internet exponiert.
    es_es: Un demonio de túnelización de Cloudflare que expone de forma segura sus servidores web a Internet.
    fr_fr: Un démon de tunnelisation par Cloudflare qui expose en toute sécurité vos serveurs web sur Internet.
    hu_hu: Egy Cloudflare által biztonságosan kiszolgáló webkiszolgálókat a internetre exponáló tunneling daemon.
    it_it: Un demone di tunneling di Cloudflare che espone in modo sicuro i tuoi server web su Internet.
    ru_ru: Демон туннелирования от Cloudflare, который безопасно экспонирует ваши веб-серверы в Интернете.
    pl_pl: Demon tunelowania od Cloudflare, który bezpiecznie ujawnia twoje serwery WWW w Internecie.
    pt_br: Um daemon de tunelamento da Cloudflare que expõe com segurança seus servidores web para a internet.
  screenshot_link:
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Cloudflared/screenshot-1.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Cloudflared/screenshot-2.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Cloudflared/screenshot-3.png
  developer: Cloudflare Inc.
  author: WisdomSky
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Cloudflared/icon.png
  thumbnail: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Cloudflared/icon.png
  category: Developer
  title:
    en_us: Cloudflared
  port_map: '14333'
